package ru.yandex.canvas.controllers;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonProperty;

public class OffsetTotalItemsResponse<T> {
    private List<T> items;
    @JsonProperty("new_offset")
    private int newOffset;
    private long total;

    public OffsetTotalItemsResponse(List<T> items, int newOffset, long total) {
        this.items = items;
        this.newOffset = newOffset;
        this.total = total;
    }

    public OffsetTotalItemsResponse() {
    }

    public List<T> getItems() {
        return items;
    }

    public void setItems(List<T> items) {
        this.items = items;
    }

    public int getNewOffset() {
        return newOffset;
    }

    public void setNewOffset(int newOffset) {
        this.newOffset = newOffset;
    }

    public long getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }
}
